Modify

#1122 closed defect (fixed)

Bitlbee segfaults on incoming jabber file transfer

Reported by: felix@… Owned by: wilmer
Priority: major Milestone:
Component: Jabber Version: devel
Keywords: Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro:

Description

Tried to accept a file transfer. This is what the control channel showed before bitlbee segfaulted:

jabber - File transfer request from Otheruser for foo.jpg (162 kb).
Accept the file transfer if you'd like the file. If you don't, issue the 'transfer reject' command.
jabber - File foo.jpg: Connecting to streamhost 192.168.1.10:51604
jabber - Transferring file foo.jpg: connection to streamhost 192.168.1.10:51604 failed (no connection after 15 seconds)
jabber - File foo.jpg: Connecting to streamhost 0.0.0.0:51604
jabber - Transferring file foo.jpg: connection to streamhost 0.0.0.0:51604 failed (connect failed: Connection refused)
jabber - File foo.jpg: Connecting to streamhost 0.0.0.0:51604
jabber - Transferring file foo.jpg: connection to streamhost 0.0.0.0:51604 failed (connect failed: Connection refused)
jabber - File transfer aborted: couldn't connect to any streamhosts
irc: disconnected from server

This is the relevant part of the backtrace:

Core was generated by `./bitlbee/bitlbee -n -v -D -d ./bitlbee/config'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f75b4ae08f1 in jabber_bs_abort (bt=0x7f75b6e07c80, format=0x7f75b4b1ee68 "Socket error during SOCKS5 handshake(weird!): %s") at s5bytestream.c:242
242             if( bt->tf->ft->sending )
(gdb) bt full
#0  0x00007f75b4ae08f1 in jabber_bs_abort (bt=0x7f75b6e07c80, format=0x7f75b4b1ee68 "Socket error during SOCKS5 handshake(weird!): %s") at s5bytestream.c:242
        params = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff129ca500, reg_save_area = 0x7fff129ca440}}
        error = "Socket error during SOCKS5 handshake(weird!): Connection timed out\000\263u\177\000\000\\\005\067\263u\177\000\000U\372\066\263u\177\000\000\005\000\000\000\000\000\000\000P\243\234\022\377\177\000\000\360\250\352\266u\177\000\000\000\000\000\000\000\000\000\000\260\r\353\266u\177\000"
#1  0x00007f75b4ae07af in jabber_bs_poll (bt=0x7f75b6e07c80, fd=17, revents=0x7fff129ca64a) at s5bytestream.c:219
        sockerror = 110
        errlen = 4
        pfd = {fd = 17, events = 24, revents = 24}
#2  0x00007f75b4ae0f22 in jabber_bs_recv_handshake (data=0x7f75b6e07c80, fd=17, cond=B_EV_IO_WRITE) at s5bytestream.c:379
        bt = 0x7f75b6e07c80
        revents = 0
        gret = 32629
#3  0x00007f75b4abc676 in b_event_passthrough (fd=17, event=4, data=0x7f75b6e13400) at events_libevent.c:147
        b_ev = 0x7f75b6e13400
        cond = B_EV_IO_WRITE
        st = 0
#4  0x00007f75b3f2fccc in event_base_loop () from /usr/lib/x86_64-linux-gnu/libevent-2.0.so.5

Attachments (0)

Change History (4)

comment:1 Changed at 2014-02-03T20:47:50Z by dx

Huh, i thought this one was reported already, but I can't seem to find the ticket right now. I guess I was wrong.

Either way, I've had exactly this issue too.

comment:2 Changed at 2014-02-04T03:52:47Z by dx

Priority: normalmajor

comment:3 Changed at 2014-03-12T11:13:47Z by anonymous

I have the same issue as well

comment:4 Changed at 2015-02-22T21:16:29Z by dx

Resolution: fixed
Status: newclosed

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.